import Session from '../types/session';
import { OsTraits } from './osTraits';
declare class Analytics {
    session: Session;
    installmentId: string;
    osTraits: OsTraits;
    constructor(session: Session);
    getUserProperties(): {
        rootOrganizationId: string;
        organizationId: string;
        id: string;
    };
    getInstallmentId(): Promise<string>;
    trackEvent(command?: string, properties?: {}): Promise<import("axios").AxiosResponse<any> | undefined>;
}
export default Analytics;
