import { AxiosInstance } from 'axios';
import { OutputFlags } from '@oclif/parser';
import Core from './core';
export default abstract class AuthenticationBaseCommand extends Core {
    _req: AxiosInstance;
    _gqlClient: any;
    get req(): AxiosInstance;
    get getGqlClient(): any;
    queryGql(gqlQuery: any, variables: any): any;
    protected parsedFlags?: OutputFlags<any>;
    init(): Promise<void>;
}
