"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const table_1 = require("table");
const __1 = require("..");
const flags_1 = require("./flags");
class Core extends core_1.Command {
    constructor() {
        super(...arguments);
        this.show = async (tableData, rawData) => {
            var _a;
            const { flags } = await this.parse();
            if (((_a = flags === null || flags === void 0 ? void 0 : flags.output) === null || _a === void 0 ? void 0 : _a.toUpperCase()) === 'JSON') {
                this.log(JSON.stringify(rawData, null, 2));
            }
            else {
                this.log((0, table_1.table)(tableData));
            }
        };
    }
    get session() {
        if (this._session)
            return this._session;
        this._session = __1.default.get('session');
        return this._session;
    }
}
exports.default = Core;
Core.flags = {
    ...flags_1.CoreFlags,
};
