"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CredentialsSingleton = void 0;
const credentials_1 = require("./credentials");
class CredentialsSingleton {
    static getInstance() {
        if (!CredentialsSingleton.instance) {
            CredentialsSingleton.instance = new credentials_1.Credentials();
        }
        return CredentialsSingleton.instance;
    }
}
exports.CredentialsSingleton = CredentialsSingleton;
